Get Forecast Irradiance
Get irradiance and weather forecasts for the requested location from the present up to 14 days ahead, derived from satellite (clouds and irradiance over non-polar continental areas, nowcast for approx. four hours ahead) and numerical weather models (other data and longer horizons).
Query Parameters
10 fieldslatituderequiredThe latitude of the location you request data for. Must be a decimal number between -90 and 90.
longituderequiredThe longitude of the location you request data for. Must be a decimal number between -180 and 180.
hoursThe number of hours to return in the response.
periodLength of the averaging period in ISO 8601 duration format. Default is PT30M.
output_parametersThe output parameters to include in the response.
tiltThe angle (degrees) that the PV system is tilted off the horizontal. A tilt of 0 means the system faces directly upwards, and 90 means the system is vertical and facing the horizon. If you don't specify tilt, we use a default tilt angle based on the latitude you specify in your request. Must be between 0 and 90.
azimuthThe azimuth is defined as the angle (degrees) from true north that the PV system is facing. An azimuth of 0 means the system is facing true north. Positive values are anticlockwise, so azimuth is -90 for an east-facing system and 135 for a southwest-facing system. If you don't specify an azimuth, we use a default value of 0 (north facing) in the southern hemisphere and 180 (south-facing) in the northern hemisphere.
array_typeThe type of sun-tracking or geometry configuration of your site's modules.
terrain_shadingIf true, irradiance parameters are modified based on the surrounding terrain from a 90m-horizontal-resolution digital elevation model. The direct component of irradiance is set to zero when the beam from the sun is blocked by the terrain. The diffuse component of irradiance is reduced throughout the day if the sky view at the location is significantly reduced by the surrounding terrain. Global irradiance incorporates both effects.
formatResponse format. Default is HTML if not supplied.
Responses
200OK
ForecastsDataResponse▼
OK
forecastsGET/data/forecast/radiation_and_weather
curl -X GET "https://api.solcast.com.au/data/forecast/radiation_and_weather?latitude=-33.8567&longitude=151.2152&output_parameters=air_temp,dni,ghi&hours=24&period=PT60M" \
-H "Authorization: Bearer $API_KEY"{
"forecasts": [
{
"air_temp": 13,
"dni": 892,
"ghi": 538,
"period_end": "2026-07-30T01:00:00.0000000Z",
"period": "PT60M"
},
{
"air_temp": 14,
"dni": 911,
"ghi": 600,
"period_end": "2026-07-30T02:00:00.0000000Z",
"period": "PT60M"
},
{
"air_temp": 14,
"dni": 910,
"ghi": 600,
"period_end": "2026-07-30T03:00:00.0000000Z",
"period": "PT60M"
}
]
}Get Live Irradiance
Get irradiance and weather estimated actuals for near real-time and past 7 days for the requested location, derived from satellite (clouds and irradiance over non-polar continental areas) and numerical weather models (other data).
Query Parameters
10 fieldslatituderequiredThe latitude of the location you request data for. Must be a decimal number between -90 and 90.
longituderequiredThe longitude of the location you request data for. Must be a decimal number between -180 and 180.
hoursThe number of hours to return in the response.
periodLength of the averaging period in ISO 8601 duration format. Default is PT30M.
tiltThe angle (degrees) that the PV system is tilted off the horizontal. A tilt of 0 means the system faces directly upwards, and 90 means the system is vertical and facing the horizon. If you don't specify tilt, we use a default tilt angle based on the latitude you specify in your request. Must be between 0 and 90.
azimuthThe azimuth is defined as the angle (degrees) from true north that the PV system is facing. An azimuth of 0 means the system is facing true north. Positive values are anticlockwise, so azimuth is -90 for an east-facing system and 135 for a southwest-facing system. If you don't specify an azimuth, we use a default value of 0 (north facing) in the southern hemisphere and 180 (south-facing) in the northern hemisphere.
array_typeThe type of sun-tracking or geometry configuration of your site's modules.
output_parametersThe output parameters to include in the response.
terrain_shadingIf true, irradiance parameters are modified based on the surrounding terrain from a 90m-horizontal-resolution digital elevation model. The direct component of irradiance is set to zero when the beam from the sun is blocked by the terrain. The diffuse component of irradiance is reduced throughout the day if the sky view at the location is significantly reduced by the surrounding terrain. Global irradiance incorporates both effects.
formatResponse format. Default is HTML if not supplied.
Responses
200OK
EstimatedActualsDataResponse▼
OK
estimated_actualsGET/data/live/radiation_and_weather
curl -X GET "https://api.solcast.com.au/data/live/radiation_and_weather?latitude=-33.8567&longitude=151.2152&output_parameters=air_temp,dni,ghi&hours=24&period=PT60M" \
-H "Authorization: Bearer $API_KEY"{
"estimated_actuals": [
{
"air_temp": 13,
"dni": 892,
"ghi": 538,
"period_end": "2026-07-30T01:00:00.0000000Z",
"period": "PT60M"
},
{
"air_temp": 11,
"dni": 844,
"ghi": 420,
"period_end": "2026-07-30T00:00:00.0000000Z",
"period": "PT60M"
},
{
"air_temp": 9,
"dni": 741,
"ghi": 260,
"period_end": "2026-07-29T23:00:00.0000000Z",
"period": "PT60M"
}
]
}Get Historic Irradiance
Get historical irradiance and weather estimated actuals for up to 31 days of data at a time for a requested location, derived from satellite (clouds and irradiance over non-polar continental areas) and numerical weather models (other data). Data is available from 2007-01-01T00:00Z to 7 days ago.
Query Parameters
13 fieldslatituderequiredThe latitude of the location you request data for. Must be a decimal number between -90 and 90.
longituderequiredThe longitude of the location you request data for. Must be a decimal number between -180 and 180.
startrequiredISO_8601 compliant starting datetime for the historical data. If the supplied value does not specify a timezone, the timezone will be inferred from the time_zone parameter, if supplied. Otherwise UTC is assumed.
durationMust include one of end_date and duration. ISO_8601 compliant duration for the historical data. Must be within 31 days of the start_date.
endMust include one of end_date and duration. ISO_8601 compliant ending datetime for the historical data. Must be within 31 days of the start_date. If the supplied value does not specify a timezone, the timezone will be inferred from the time_zone parameter, if supplied. Otherwise UTC is assumed.
periodLength of the averaging period in ISO 8601 duration format. Default is PT30M.
formatResponse format. Default is HTML if not supplied.
time_zoneTimezone to return in data set. Accepted values are utc, longitudinal, or a range from -13 to 13 in 0.25 hour increments for utc offset.
tiltThe angle (degrees) that the PV system is tilted off the horizontal. A tilt of 0 means the system faces directly upwards, and 90 means the system is vertical and facing the horizon. If you don't specify tilt, we use a default tilt angle based on the latitude you specify in your request. Must be between 0 and 90.
azimuthThe azimuth is defined as the angle (degrees) from true north that the PV system is facing. An azimuth of 0 means the system is facing true north. Positive values are anticlockwise, so azimuth is -90 for an east-facing system and 135 for a southwest-facing system. If you don't specify an azimuth, we use a default value of 0 (north facing) in the southern hemisphere and 180 (south-facing) in the northern hemisphere.
array_typeThe type of sun-tracking or geometry configuration of your site's modules.
output_parametersThe output parameters to include in the response.
terrain_shadingIf true, irradiance parameters are modified based on the surrounding terrain from a 90m-horizontal-resolution digital elevation model. The direct component of irradiance is set to zero when the beam from the sun is blocked by the terrain. The diffuse component of irradiance is reduced throughout the day if the sky view at the location is significantly reduced by the surrounding terrain. Global irradiance incorporates both effects.
Responses
200OK
HistoricRadiationAndWeatherResponse▼
OK
estimated_actualsGET/data/historic/radiation_and_weather
curl -X GET "https://api.solcast.com.au/data/historic/radiation_and_weather?start=2026-01-01&latitude=-33.8567&longitude=151.2152&output_parameters=air_temp,dni,ghi&format=json&end=<end>" \
-H "Authorization: Bearer $API_KEY"{
"estimated_actuals": [
{
"air_temp": 19,
"dni": 0,
"ghi": 174,
"period_end": "2026-01-01T01:00:00+00:00",
"period": "PT60M"
},
{
"air_temp": 19,
"dni": 0,
"ghi": 149,
"period_end": "2026-01-01T02:00:00+00:00",
"period": "PT60M"
},
{
"air_temp": 19,
"dni": 0,
"ghi": 162,
"period_end": "2026-01-01T03:00:00+00:00",
"period": "PT60M"
}
]
}Get TMY Irradiance
Get the irradiance and weather for a Typical Meteorological Year (TMY) at a requested location, derived from satellite (clouds and irradiance over non-polar continental areas) and numerical weather models (other data). The TMY is calculated with data from 2007 to 2025.
Query Parameters
13 fieldslatituderequiredThe latitude of the location you request data for. Must be a decimal number between -90 and 90.
longituderequiredThe longitude of the location you request data for. Must be a decimal number between -180 and 180.
periodLength of the averaging period in ISO 8601 duration format. Default is PT60M.
time_zoneTimezone to return in data set. Accepted values are utc, longitudinal, or a range from -13 to 13 in 0.25 hour increments for utc offset.
ghi_weightWhen creating the TMY, the weighting of GHI to use in the target parameter. Note that ghi_weight + dni_weight must equal 1.
dni_weightWhen creating the TMY, the weighting of DNI to use in the target parameter. Note that ghi_weight + dni_weight must equal 1.
probabilityThe probability percentile for the TMY.
formatResponse format. Default is HTML if not supplied.
tiltThe angle (degrees) that the PV system is tilted off the horizontal. A tilt of 0 means the system faces directly upwards, and 90 means the system is vertical and facing the horizon. If you don't specify tilt, we use a default tilt angle based on the latitude you specify in your request. Must be between 0 and 90.
azimuthThe azimuth is defined as the angle (degrees) from true north that the PV system is facing. An azimuth of 0 means the system is facing true north. Positive values are anticlockwise, so azimuth is -90 for an east-facing system and 135 for a southwest-facing system. If you don't specify an azimuth, we use a default value of 0 (north facing) in the southern hemisphere and 180 (south-facing) in the northern hemisphere.
array_typeThe type of sun-tracking or geometry configuration of your site's modules.
output_parametersThe output parameters to include in the response.
terrain_shadingIf true, irradiance parameters are modified based on the surrounding terrain from a 90m-horizontal-resolution digital elevation model. The direct component of irradiance is set to zero when the beam from the sun is blocked by the terrain. The diffuse component of irradiance is reduced throughout the day if the sky view at the location is significantly reduced by the surrounding terrain. Global irradiance incorporates both effects.
Responses
200OK
TmyRadiationAndWeatherResponse▼
OK
estimated_actualsGET/data/tmy/radiation_and_weather
curl -X GET "https://api.solcast.com.au/data/tmy/radiation_and_weather?latitude=-33.8567&longitude=151.2152&output_parameters=air_temp,dni,ghi&time_zone=<time_zone>&period=PT60M" \
-H "Authorization: Bearer $API_KEY"{
"estimated_actuals": [
{
"air_temp": 24,
"dni": 982,
"ghi": 1001,
"period_end": "2059-01-01T01:00:00+00:00",
"period": "PT60M"
},
{
"air_temp": 24.6,
"dni": 974,
"ghi": 1056,
"period_end": "2059-01-01T02:00:00+00:00",
"period": "PT60M"
},
{
"air_temp": 24.8,
"dni": 924,
"ghi": 1029,
"period_end": "2059-01-01T03:00:00+00:00",
"period": "PT60M"
}
]
}